REM ***************************************************************
REM  Licensed Material - Property of IBM
REM 
REM  5724-M24 
REM 
REM  Copyright IBM Corp. 2005, 2009.  All rights reserved.
REM 
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with IBM
REM  Corp.
REM ***************************************************************

@echo off
setlocal

call "%~dp0..\..\bin\setupCmdLine.bat" %*

set SYS_PROPS=-Djava.util.logging.config.file=logging.properties

set MY_CLASSPATH=%WAS_HOME%\plugins\com.ibm.wbimonitor.actionmgr.jar;%WAS_HOME%\plugins\com.ibm.wbimonitor.persistence.jar;%WAS_HOME%\plugins\com.ibm.wbimonitor.util.jar;%WAS_HOME%\plugins\com.ibm.ws.runtime.jar;%WAS_HOME%\lib\bootstrap.jar;%WAS_HOME%\plugins\com.ibm.ws.emf.jar;%WAS_HOME%\plugins\org.eclipse.emf.ecore.jar;%WAS_HOME%\plugins\org.eclipse.emf.common.jar;%WAS_HOME%\plugins\com.ibm.ffdc.jar
:Loop
IF "%1" == "" GOTO Continue
IF "%1" == "-source_db_user" (
  set source_db_user=%2
  GOTO Forward
)
IF "%1" == "-source_db_password" (
  set source_db_password=%2
  GOTO Forward
)
IF "%1" == "-destination_db_user" (
  set destination_db_user=%2
  GOTO Forward
)
IF "%1" == "-destination_db_password" (
  set destination_db_password=%2
  GOTO Forward
)
IF "%1" == "-h" (
  GOTO USAGE
)
GOTO USAGE
:Forward
shift /1
shift /1
GOTO Loop

:Continue
"%JAVA_HOME%"\bin\java -classpath "%MY_CLASSPATH%" %SYS_PROPS% com.ibm.wbimonitor.actionmgr.importer.Importer %source_db_user% %source_db_password% %destination_db_user% %destination_db_password%
IF errorlevel 1 GOTO ERROR
goto DONE

:USAGE
  echo  Usage:
  echo  runAAMExport -source_db_user ^<user id source database^> -source_db_password ^<password of source database^> -destination_db_user ^<user id of destinationdatabase^> -destination_db_password  ^<user password of destinationdatabase^>
  echo.
  echo  where:
  echo.
  echo  -source_db_user:
  echo       User id that is authorized to access source database,this parameteter is necessary when exporting alert definition from monitor database to a local xml file.
  echo.
  echo  -source_db_password:
  echo       PAssword that is authorized to access source database,this parameteter is necessary when exporting alert definition from monitor database to a local xml file.
  echo.  
  echo  -destination_db_user:
  echo        User that is authorized to access destination database,this parameteter is necessary when importing alert definition from xml file to monitor database.  
  echo  -destination_db_password:
  echo       Password that is authorized to access destination database,this parameteter is necessary when importing alert definition from xml file to monitor database.
  echo.     
  echo  Notice:Values defined in config.properties will be used by default if running runAMMExport without any parameters.
  GOTO ERROR
  
:DONE
EXIT /b 0
:ERROR
EXIT /b 1
@REM echo "Done"
endlocal
@echo on