#!/bin/sh
#############################################################################
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2009. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#############################################################################

echo ""
echo "Start Web Dashboard Migration Script"
echo ""

#######################################################
#                                                     #
# Subroutine: Usage                                   #
#                                                     #
#######################################################
usage () {
  echo  ""
  echo  "upgradePages -host <host name> -port <SOAP port>"
  echo  "                  -user <monitor server user id> -password  <monitor server password>"
  echo  ""
  echo  "where: " 
  echo  ""
  echo  "-host <host name>:"
  echo  "     The host name of monitor profile you connect to"
  echo  ""
  echo  "-port <SOAP port>:"
  echo  "    The SOAP port of monitor profile you connect to"
  echo  ""
  echo  " -user <monitor server user id>:"
  echo  "     User id of monitor profile"
  echo  ""
  echo  "-password  <monitor server password>:"
  echo  "   Password of monitor profile"
  echo  ""      
  exit
 }   
  

#######################################################
#                                                     #
# Read command line options                           #
#                                                     #
#######################################################
if [ $# -eq 0 ]; then
  usage
fi
  
while [ $# -gt 0 ]; do
  case $1 in
    -host) host=$2; shift; shift;;
    -port) port=$2; shift; shift;;
    -user) user=$2; shift; shift;;
    -password) password=$2; shift; shift;;
    -h) usage;;
    -help) usage;;
    *) echo "Invalid parameter: $1"; usage;;
  esac;
done
    
#echo "host=$host"
#echo "port=$port"
#echo "user=$user"
#echo "password=$password"

#######################################################
#                                                     #
# Set WAS environment                                 #
#                                                     #
#######################################################
CUR_DIR=`pwd`
CURRENT_DIR=`pwd`
SH_R_DIR=`dirname ${0}`
cd "$SH_R_DIR/../../../"
WAS_ROOT_DIR=`pwd`
export WAS_ROOT_DIR
. $WAS_ROOT_DIR/bin/setupCmdLine.sh 

#######################################################
#                                                     #
# call createQueueBypassDatasource.py                 #
#                                                     #
#######################################################

LOG_DIR=$WAS_ROOT_DIR/logs/wbm/webdashboardmigration
if [ ! -d "$LOG_DIR" ]; then
  mkdir "$LOG_DIR"
fi
LOG_FILE=$LOG_DIR/monitor_webdashboard_migration_log.txt

#echo "call createQueueBypassDatasource.py"
echo "Starting migration, please check log file $LOG_FILE to make sure migration was successful without any exception after it's completed. Then you can verify migration of Web dashboard on the admin console of Business Space."
"$WAS_ROOT_DIR/bin/wsadmin.sh" -conntype SOAP -host $host -port $port -user $user -password $password -lang jython -f $CURRENT_DIR/upgradePages.jy > "$LOG_FILE" 2>&1 

echo "Done"

